#pragma once

#include "CoreMinimal.h"
#include "Engine/DataAsset.h"
#include "UObject/SoftObjectPtr.h"
#include "MenuSkinDataAsset.generated.h"

class UCurveLinearColor;
class UMaterialInstance;
class UTexture2D;

UCLASS(Blueprintable)
class DBDSHAREDTYPES_API UMenuSkinDataAsset : public UDataAsset
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftObjectPtr<UCurveLinearColor> ScrollBarColor;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftObjectPtr<UCurveLinearColor> LoadingLogoColor;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftObjectPtr<UCurveLinearColor> LoadingProgressBarColor;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftObjectPtr<UCurveLinearColor> ItemHeaderColor;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftObjectPtr<UMaterialInstance> TabMaterialInstance;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftObjectPtr<UMaterialInstance> SubTabMaterialInstance;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftObjectPtr<UMaterialInstance> TitleBannerMaterial;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftObjectPtr<UTexture2D> TitleIcon;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftObjectPtr<UMaterialInstance> HeaderBackgroundMaterial;

public:
	UMenuSkinDataAsset();
};

FORCEINLINE uint32 GetTypeHash(const UMenuSkinDataAsset) { return 0; }
